{
    "name": "lst",
    "version": "1.2.0",
    "description": "Logistics support tool - the place where the support happens.",
    "main": "index.js",
    "scripts": {
        "test": "echo \"Error: no test specified\" && exit 1",
        "dev:app": "dotenvx run -f .env -- tsx watch app/main.ts",
        "dev:docs": "npm run translateDocs && cd lstDocs && npm start",
        "dev:front": "cd frontend && npm run dev",
        "dev:db:migrate": "npx drizzle-kit push",
        "dev:db:generate": "tsc && npx drizzle-kit generate --config=drizzle-dev.config.ts",
        "dev": "concurrently -n \"server,frontend,docs\" -c \"#007755,#2f6da3,#DB4FE0\" \"npm run dev:app\" \"npm run dev:front\" \"npm run dev:docs\"",
        "copy:docs": "node scripts/lstDocCopy.mjs",
        "build:app": "rimraf dist && npx tsc",
        "build:front": "cd frontend && rimraf dist && npm run build",
        "build:docs": "cd lstDocs && rimraf build && npm run build",
        "build:wrapper": "cd lstWrapper && rimraf publish && dotnet publish -c Release -o ./publish",
        "build:ctl": " ",
        "build": "npm run translateDocs && npm run build:docs && npm run build:front && npm run build:app",
        "install:front": "cd frontend && npm i",
        "install:docs": "cd lstDocs && npm i",
        "install:app": "npm i",
        "start:app": "node dist/main.js",
        "start": "dotenvx run -f .env -- npm run start:app",
        "start:win": "set NODE_ENV=production && node dist/main.js",
        "docker": "docker compose up --build --force-recreate -d",
        "commit": "cz",
        "deploy": "standard-version --conventional-commits && npm run translateDocs && npm run build && cd lstV2 && npm run build",
        "db:migrate": "npx drizzle-kit push",
        "db:generate": "npx drizzle-kit generate",
        "translateDocs": "cd scripts && node translateScript.js",
        "auth:generate": "npx @better-auth/cli generate --config ./app/src/pkg/auth/auth.ts"
    },
    "repository": {
        "type": "git",
        "url": "https://git.tuffraid.net/cowch/lst.git"
    },
    "keywords": [],
    "author": "",
    "license": "ISC",
    "type": "module",
    "dependencies": {
        "@dotenvx/dotenvx": "^1.49.0",
        "@types/cors": "^2.8.19",
        "better-auth": "^1.3.9",
        "cors": "^2.8.5",
        "drizzle-kit": "^0.31.4",
        "drizzle-orm": "^0.44.5",
        "drizzle-zod": "^0.8.3",
        "express": "^5.1.0",
        "morgan": "^1.10.1",
        "mssql": "^11.0.1",
        "pg": "^8.16.3",
        "pino": "^9.9.0",
        "pino-pretty": "^13.1.1",
        "postgres": "^3.4.7",
        "zod": "^4.1.5"
    },
    "devDependencies": {
        "@types/express": "^5.0.3",
        "@types/morgan": "^1.9.10",
        "@types/mssql": "^9.1.7",
        "@types/node": "^24.3.0",
        "concurrently": "^9.2.1",
        "cz-conventional-changelog": "^3.3.0",
        "standard-version": "^9.5.0",
        "ts-node-dev": "^2.0.0",
        "tsx": "^4.20.4",
        "typescript": "^5.9.2"
    },
    "config": {
        "commitizen": {
            "path": "./node_modules/cz-conventional-changelog"
        }
    }
}
